Bug 238551 - swapon(8) explain -F flag requires -a
Summary: swapon(8) explain -F flag requires -a
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-06-13 20:49 UTC by Christian Baltini
Modified: 2020-05-24 10:21 UTC (History)
2 users (show)

See Also:


Attachments
patch (257 bytes, text/plain)
2019-06-13 20:49 UTC, Christian Baltini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Baltini 2019-06-13 20:49:05 UTC
Created attachment 205047 [details]
patch

Current documentation implies that -F works as a standalone flag, when in reality it needs to be bundled with -a.

Simple patch attached to clarify that -F is for use with -a.
Comment 1 commit-hook freebsd_committer 2020-05-19 12:17:39 UTC
A commit references this bug:

Author: bcr
Date: Tue May 19 12:16:44 UTC 2020
New revision: 361250
URL: https://svnweb.freebsd.org/changeset/base/361250

Log:
  The -F flag of swapon(8) requires -a to work.

  Before this change, swapon(8) implied that -F works as a standalone option,
  which is not the case and would produce a usage message. This change extends
  the description of the -F option to mention that -a is required with it.

  PR:		238551
  Submitted by:	Christian Baltini
  MFC after:	5 days

Changes:
  head/sbin/swapon/swapon.8
Comment 2 Benedict Reuschling freebsd_committer 2020-05-19 12:18:45 UTC
I've committed a modified version of your patch. Waiting for the MFC timeout...
Comment 3 commit-hook freebsd_committer 2020-05-24 10:19:42 UTC
A commit references this bug:

Author: bcr
Date: Sun May 24 10:19:27 UTC 2020
New revision: 361433
URL: https://svnweb.freebsd.org/changeset/base/361433

Log:
  MFC r361250:

  The -F flag of swapon(8) requires -a to work.

  Before this change, swapon(8) implied that -F works as a standalone option,
  which is not the case and would produce a usage message. This change extends
  the description of the -F option to mention that -a is required with it.

  PR:		238551
  Submitted by:	Christian Baltini

Changes:
_U  stable/12/
  stable/12/sbin/swapon/swapon.8
Comment 4 Benedict Reuschling freebsd_committer 2020-05-24 10:21:09 UTC
MFC is done, closing this PR now. Thanks for filing this PR.